ru.bitel.bgbilling.kernel.event

## Class EventListenerContext

- java.lang.Object
- - ru.bitel.common.worker.ThreadContext
  - - ru.bitel.bgbilling.kernel.base.server.DefaultContext
    - - ru.bitel.bgbilling.kernel.container.managed.ContainerContext
      - - ru.bitel.bgbilling.kernel.container.managed.ServerContext
        - - ru.bitel.bgbilling.kernel.event.EventListenerContext

- All Implemented Interfaces:
    java.lang.AutoCloseable, ru.bitel.common.util.ConnectionHolder, ru.bitel.common.worker.Commitable, ru.bitel.common.worker.CommitableHandler, ru.bitel.common.worker.Recyclable

      public class EventListenerContext
      extends ru.bitel.bgbilling.kernel.container.managed.ServerContext

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `applicationName`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.container.managed.ContainerContext

      `setup`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.base.server.DefaultContext

      `connectionSet`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EventListenerContext(ru.bitel.bgbilling.kernel.container.managed.ServerContext parent, java.lang.String applicationName)`
    `protected` | `EventListenerContext(Setup setup, ConnectionSet connectionSet, java.lang.String applicationName)`
    `` | `EventListenerContext(Setup setup, int moduleId, ConnectionSet connectionSet, java.lang.String applicationName)`
    `` | `EventListenerContext(Setup setup, int moduleId, java.lang.String applicationName)`
    `protected` | `EventListenerContext(Setup setup, java.lang.String applicationName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getApplicationName()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.container.managed.ServerContext

      `addCommitable, commit, destroy, getDirectory, getResourceManager, getService, init, newDirectory, newService, publishAfterCommit, recycle`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.container.managed.ContainerContext

      `getEnvironment, getModuleId, getModuleSetup, getNamingContext, getSetup, getUserId`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.DefaultContext

      `getConnection, getConnectionSet`

    - ### Methods inherited from class ru.bitel.common.worker.ThreadContext

      `close, get, get, pop, push, set`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### applicationName

          protected final java.lang.String applicationName

  - ### Constructor Detail

    - #### EventListenerContext

          protected EventListenerContext(ru.bitel.bgbilling.kernel.container.managed.ServerContext parent,
                                         java.lang.String applicationName)

    - #### EventListenerContext

          protected EventListenerContext(Setup setup,
                                         java.lang.String applicationName)

    - #### EventListenerContext

          public EventListenerContext(Setup setup,
                                      int moduleId,
                                      java.lang.String applicationName)

    - #### EventListenerContext

          public EventListenerContext(Setup setup,
                                      int moduleId,
                                      ConnectionSet connectionSet,
                                      java.lang.String applicationName)

    - #### EventListenerContext

          protected EventListenerContext(Setup setup,
                                         ConnectionSet connectionSet,
                                         java.lang.String applicationName)

  - ### Method Detail

    - #### getApplicationName

          public java.lang.String getApplicationName()